Call Record List
Method for retrieving a list of call recordings for a specific call.
Endpoint and method
GET /v2/call-record/
Parameters
isAmdintoptional When enabled, only call records with a detected answering machine (AMD) are returned. Accepted values:1— enabled,0— disabled.
offsetintoptional
Pagination parameter. Specifies the offset from which the selection starts. Default is0.
limitintoptional
Pagination parameter. Number of items returned per request. Maximum value is100. Default is50.
Request example
<?php
$host = 'https://YOUR_LINER_API_HOST';
$token = 'YOUR_API_TOKEN';
$query = http_build_query([
'callId' => (int)$callId,
'offset' => 0,
'limit' => 50,
]);
$ch = curl_init($host . '/v2/call-record/?' . $query);
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'Content-Type: application/json',
'X-Api-Key: ' . $token,
],
CURLOPT_TIMEOUT => 15,
]);
$response = curl_exec($ch);
$httpCode = curl_getinfo($ch, CURLINFO_HTTP_CODE);
if ($response === false) {
throw new RuntimeException('cURL error: ' . curl_error($ch));
}
curl_close($ch);
echo "HTTP {$httpCode}\n";
echo $response;
const host = "https://YOUR_LINER_API_HOST";
const token = "YOUR_API_TOKEN";
const params = new URLSearchParams();
params.set("callId", String(callId));
params.set("offset", "0");
params.set("limit", "50");
const res = await fetch(`${host}/v2/call-record/?${params.toString()}`, {
method: "GET",
headers: {
"Content-Type": "application/json",
"X-Api-Key": token
}
});
const data = await res.json();
console.log("HTTP", res.status, data);
Response example
{
"success": true,
"message": "",
"data": {
"list": [
{
"id": 123,
"isTransfer": false,
"durationSeconds": 60,
"fileUrl": "https://example.com/record.mp3",
"createdAt": "2024-01-01T00:00:00Z"
}
],
"next": 50,
"total": 12345
}
}
Response fields
Fields in data
| Field | Type | Description |
|---|---|---|
list |
array |
List of call recordings. |
next |
int |
Offset to use for the next request. |
total |
int |
Total number of call recordings. |
Fields in list
| Field | Type | Description |
|---|---|---|
id |
int |
Call record identifier. |
isTransfer |
bool |
Whether the recording was made during a transfer. |
durationSeconds |
int |
Recording duration (seconds). |
fileUrl |
string |
URL to the call recording file. |
createdAt |
string |
Call record creation date and time in Liner (ISO 8601). |
Note
The structure of the data field is described above. For the overall API response format, see Request Schema